> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modempay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a customer



## OpenAPI

````yaml /openapi.json post /v1/customers
openapi: 3.0.3
info:
  title: Modem Pay API
  description: Modem Pay public API for payments, transfers, customers, and transactions.
  version: 1.0.0
servers:
  - url: https://api.modempay.com
security:
  - BearerAuth: []
paths:
  /v1/customers:
    post:
      summary: Create a customer
      operationId: createCustomer
      parameters:
        - name: X-No-Effect
          in: header
          schema:
            type: boolean
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  example: John Doe
                email:
                  type: string
                  format: email
                phone:
                  type: string
                  example: '7000001'
      responses:
        '201':
          description: Customer created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
components:
  schemas:
    Customer:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
        phone:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use your Modem Pay secret key.

        - **Test environment:** Use your `sk_test_...` key.

        - **Production environment:** Only use `sk_live_...` on your personal,
        secure machine. Do NOT share or commit your production keys.

````